Module org.apache.sis.referencing
Package org.apache.sis.referencing.operation.transform

# Enum Class EllipsoidToCentricTransform.TargetType

Object
Enum<EllipsoidToCentricTransform.TargetType>
TargetType

All Implemented Interfaces:
  `Serializable`, `Comparable<EllipsoidToCentricTransform​.TargetType>`, `Constable`

Enclosing class:
  `EllipsoidToCentricTransform`

public static enum EllipsoidToCentricTransform.TargetType extends Enum<EllipsoidToCentricTransform.TargetType>
Whether the output coordinate system is Cartesian or Spherical.

TODO: The spherical case is not yet implemented. We could also consider supporting the cylindrical case, but its usefulness is not obvious. See SIS-302.

Since:
  0.7

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CARTESIAN`
  Indicates conversions from ellipsoidal to Cartesian coordinate system.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EllipsoidToCentricTransform​.TargetType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EllipsoidToCentricTransform​.TargetType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CARTESIAN

    public static final EllipsoidToCentricTransform.TargetType CARTESIAN
    Indicates conversions from ellipsoidal to Cartesian coordinate system.

- ## Method Details

  - ### values

    public static EllipsoidToCentricTransform.TargetType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EllipsoidToCentricTransform.TargetType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null